View Issue Details

IDProjectCategoryView StatusLast Update
13134Bug reports[All Projects] Survey takingpublic2018-01-15 10:35
ReportertpartnerAssigned ToLouisGac 
PriorityimmediateSeveritycrash 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target Version3.0.xFixed in Version 
Summary13134: Some Expression Manager vars not rendered
Description

The "QID", "GID" and "SGQ" Expression Manager variables are not rendered. See attached screenshots and sample survey.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.1
I will donate to the project if issue is resolvedNo
Browsern/a
Database & DB-Versionmysqlnd 5.0.12-dev
Operating System (Server)Windows 10
Webserver software & versionApache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Relationships

child of 13128 closedLouisGac Vanilla theme error page admin-name missing 

Activities

tpartner

tpartner

2018-01-06 18:53

developer  

limesurvey_survey_556928.lss (12,223 bytes)
capture-5.png (6,902 bytes)
capture-5.png (6,902 bytes)
capture-4.png (10,395 bytes)
capture-4.png (10,395 bytes)
abc99

abc99

2018-01-07 01:54

reporter   ~45433

This also goes for
{ADMINEMAIL}, {ADMINNAME}, {PASSTRHU: ...} and {SAVEDID}

LouisGac

LouisGac

2018-01-08 11:38

manager   ~45457

question is: was it EM variable or replacement keywords?

tpartner

tpartner

2018-01-08 11:55

developer   ~45466

I only tested with the keywords indicated in my description.

LouisGac

LouisGac

2018-01-08 12:02

manager   ~45471

indeed, it was replacement keywords....
https://github.com/LimeSurvey/LimeSurvey/blob/2.06lts/application/helpers/replacements_helper.php#L538

So I'd say for 3.0 we can keep them (I will create a new and cleaner templatereplace() function for those keywords ) but mark them as obsolete, they should be replaced by twig statement/filters

tpartner

tpartner

2018-01-08 13:39

developer   ~45486

Will twig statement/filters work in question text?

Is there documentation somewhere for the available twig statement/filters?

LouisGac

LouisGac

2018-01-08 13:44

manager   ~45487

we should discuss about that topic on next team meeting. I'm not going to take decisions alone concerning that topic.
for now, I must fix the bug ;-)

LouisGac

LouisGac

2018-01-08 14:00

manager   ~45489

also about the list of twig statements/filters/functions:
https://github.com/LimeSurvey/LimeSurvey/blob/master/application/config/internal.php#L253-L270

they must be allowed one by one in the sand box config, so they are all in the sand box.

here for the custom twig functions for LimeSurvey:
https://github.com/LimeSurvey/LimeSurvey/blob/master/application/core/LS_Twig_Extension.php

tpartner

tpartner

2018-01-08 14:06

developer   ~45490

Thanks Louis.

LouisGac

LouisGac

2018-01-10 17:17

manager   ~45550

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=25960

c_schmitz

c_schmitz

2018-01-15 10:35

administrator   ~45609

Version 3.0.3 released.

Related Changesets

LimeSurvey: master cd2341a8

2018-01-10 17:16:42

LouisGac

Details Diff
Fixed issue 13134: Some Expression Manager vars not rendered
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/replacements_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-01-06 18:53 tpartner New Issue
2018-01-06 18:53 tpartner File Added: limesurvey_survey_556928.lss
2018-01-06 18:53 tpartner File Added: capture-5.png
2018-01-06 18:53 tpartner File Added: capture-4.png
2018-01-07 01:54 abc99 Note Added: 45433
2018-01-08 11:38 LouisGac Note Added: 45457
2018-01-08 11:38 LouisGac Sticky Issue No => Yes
2018-01-08 11:55 tpartner Note Added: 45466
2018-01-08 12:02 LouisGac Note Added: 45471
2018-01-08 12:02 LouisGac Assigned To => LouisGac
2018-01-08 12:02 LouisGac Status new => acknowledged
2018-01-08 12:02 LouisGac Priority none => immediate
2018-01-08 12:07 LouisGac Relationship added child of 13128
2018-01-08 13:39 tpartner Note Added: 45486
2018-01-08 13:44 LouisGac Note Added: 45487
2018-01-08 14:00 LouisGac Note Added: 45489
2018-01-08 14:06 tpartner Note Added: 45490
2018-01-10 17:17 LouisGac Changeset attached => LimeSurvey master cd2341a8
2018-01-10 17:17 LouisGac Note Added: 45550
2018-01-10 17:17 LouisGac Resolution open => fixed
2018-01-10 17:29 LouisGac Status acknowledged => resolved
2018-01-10 17:29 LouisGac Sticky Issue Yes => No
2018-01-15 10:35 c_schmitz Note Added: 45609
2018-01-15 10:35 c_schmitz Status resolved => closed